
Cook: softether v4.09-9451-beta
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): libcrypto-dev-1.0.2l
Installing (pkg/local): openssl-dev-1.0.2l
Installing (pkg/local): readline-dev-7.0
Extracting source archive "softether-src-v4.09-9451-beta.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486 -Os -pipe -fomit-frame-pointer
---------------------------------------------------------------------
SoftEther VPN for Unix

Copyright (c) SoftEther VPN Project at University of Tsukuba, Japan.
Copyright (c) Daiyuu Nobori. All Rights Reserved.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
version 2 as published by the Free Software Foundation.

Read and understand README.TXT, LICENSE.TXT and WARNING.TXT before use.
---------------------------------------------------------------------

Welcome to the corner-cutting configure script !

Select your operating system below:
 1: Linux
 2: FreeBSD
 3: Solaris
 4: Mac OS X
 5: OpenBSD

Which is your operating system (1 - 5) ? : 
Select your CPU bits below:
 1: 32-bit
 2: 64-bit

Which is the type of your CPU (1 - 2) ? : 
The Makefile is generated. Run 'make' to build SoftEther VPN.
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Encrypt.c -o tmp/objs/Mayaqua/Encrypt.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/FileIO.c -o tmp/objs/Mayaqua/FileIO.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Internat.c -o tmp/objs/Mayaqua/Internat.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Cfg.c -o tmp/objs/Mayaqua/Cfg.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Kernel.c -o tmp/objs/Mayaqua/Kernel.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Mayaqua.c -o tmp/objs/Mayaqua/Mayaqua.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Memory.c -o tmp/objs/Mayaqua/Memory.o
In file included from ./src/Mayaqua/Mayaqua.h:318:0,
                 from src/Mayaqua/Memory.c:109:
src/Mayaqua/Memory.c: In function 'GetMemSize':
./src/Mayaqua/MayaType.h:219:69: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
 #define POINTER_TO_UINT64(p) (((sizeof(void *) == sizeof(UINT64)) ? (UINT64)(p) : (UINT64)((UINT)(p))))
                                                                     ^
./src/Mayaqua/Memory.h:111:52: note: in expansion of macro 'POINTER_TO_UINT64'
 #define IS_NULL_POINTER(p)     (((p) == NULL) || ((POINTER_TO_UINT64(p) == (UINT64)sizeof(MEMTAG))))
                                                    ^~~~~~~~~~~~~~~~~
src/Mayaqua/Memory.c:3764:6: note: in expansion of macro 'IS_NULL_POINTER'
  if (IS_NULL_POINTER(addr))
      ^~~~~~~~~~~~~~~
src/Mayaqua/Memory.c: In function 'ReAlloc':
./src/Mayaqua/MayaType.h:219:69: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
 #define POINTER_TO_UINT64(p) (((sizeof(void *) == sizeof(UINT64)) ? (UINT64)(p) : (UINT64)((UINT)(p))))
                                                                     ^
./src/Mayaqua/Memory.h:111:52: note: in expansion of macro 'POINTER_TO_UINT64'
 #define IS_NULL_POINTER(p)     (((p) == NULL) || ((POINTER_TO_UINT64(p) == (UINT64)sizeof(MEMTAG))))
                                                    ^~~~~~~~~~~~~~~~~
src/Mayaqua/Memory.c:3781:6: note: in expansion of macro 'IS_NULL_POINTER'
  if (IS_NULL_POINTER(addr))
      ^~~~~~~~~~~~~~~
src/Mayaqua/Memory.c: In function 'Free':
./src/Mayaqua/MayaType.h:219:69: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
 #define POINTER_TO_UINT64(p) (((sizeof(void *) == sizeof(UINT64)) ? (UINT64)(p) : (UINT64)((UINT)(p))))
                                                                     ^
./src/Mayaqua/Memory.h:111:52: note: in expansion of macro 'POINTER_TO_UINT64'
 #define IS_NULL_POINTER(p)     (((p) == NULL) || ((POINTER_TO_UINT64(p) == (UINT64)sizeof(MEMTAG))))
                                                    ^~~~~~~~~~~~~~~~~
src/Mayaqua/Memory.c:3838:6: note: in expansion of macro 'IS_NULL_POINTER'
  if (IS_NULL_POINTER(addr))
      ^~~~~~~~~~~~~~~
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Microsoft.c -o tmp/objs/Mayaqua/Microsoft.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Network.c -o tmp/objs/Mayaqua/Network.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Object.c -o tmp/objs/Mayaqua/Object.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/OS.c -o tmp/objs/Mayaqua/OS.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Pack.c -o tmp/objs/Mayaqua/Pack.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Secure.c -o tmp/objs/Mayaqua/Secure.o
src/Mayaqua/Secure.c: In function 'SignSecByObject':
src/Mayaqua/Secure.c:412:66: warning: passing argument 5 of 'sec->Api->C_Sign' from incompatible pointer type [-Wincompatible-pointer-types]
  ret = sec->Api->C_Sign(sec->SessionId, hash, sizeof(hash), dst, &size);
                                                                  ^
src/Mayaqua/Secure.c:412:66: note: expected 'CK_ULONG_PTR {aka long unsigned int *}' but argument is of type 'UINT * {aka unsigned int *}'
src/Mayaqua/Secure.c: In function 'WriteSecKey':
src/Mayaqua/Secure.c:550:83: warning: passing argument 4 of 'sec->Api->C_CreateObject' from incompatible pointer type [-Wincompatible-pointer-types]
  if ((ret = sec->Api->C_CreateObject(sec->SessionId, a, sizeof(a) / sizeof(a[0]), &object)) != CKR_OK)
                                                                                   ^
src/Mayaqua/Secure.c:550:83: note: expected 'CK_OBJECT_HANDLE_PTR {aka long unsigned int *}' but argument is of type 'UINT * {aka unsigned int *}'
src/Mayaqua/Secure.c: In function 'WriteSecCert':
src/Mayaqua/Secure.c:750:83: warning: passing argument 4 of 'sec->Api->C_CreateObject' from incompatible pointer type [-Wincompatible-pointer-types]
  if ((ret = sec->Api->C_CreateObject(sec->SessionId, a, sizeof(a) / sizeof(a[0]), &object)) != CKR_OK)
                                                                                   ^
src/Mayaqua/Secure.c:750:83: note: expected 'CK_OBJECT_HANDLE_PTR {aka long unsigned int *}' but argument is of type 'UINT * {aka unsigned int *}'
src/Mayaqua/Secure.c: In function 'EnumSecObject':
src/Mayaqua/Secure.c:1256:46: warning: passing argument 2 of 'sec->Api->C_FindObjects' from incompatible pointer type [-Wincompatible-pointer-types]
  if (sec->Api->C_FindObjects(sec->SessionId, objects, sizeof(objects) / sizeof(objects[0]), &num_objects) != CKR_OK)
                                              ^~~~~~~
src/Mayaqua/Secure.c:1256:46: note: expected 'CK_OBJECT_HANDLE_PTR {aka long unsigned int *}' but argument is of type 'UINT * {aka unsigned int *}'
src/Mayaqua/Secure.c:1256:93: warning: passing argument 4 of 'sec->Api->C_FindObjects' from incompatible pointer type [-Wincompatible-pointer-types]
  if (sec->Api->C_FindObjects(sec->SessionId, objects, sizeof(objects) / sizeof(objects[0]), &num_objects) != CKR_OK)
                                                                                             ^
src/Mayaqua/Secure.c:1256:93: note: expected 'CK_ULONG_PTR {aka long unsigned int *}' but argument is of type 'UINT * {aka unsigned int *}'
src/Mayaqua/Secure.c: In function 'WriteSecData':
src/Mayaqua/Secure.c:1377:76: warning: passing argument 4 of 'sec->Api->C_CreateObject' from incompatible pointer type [-Wincompatible-pointer-types]
  if (sec->Api->C_CreateObject(sec->SessionId, a, sizeof(a) / sizeof(a[0]), &object) != CKR_OK)
                                                                            ^
src/Mayaqua/Secure.c:1377:76: note: expected 'CK_OBJECT_HANDLE_PTR {aka long unsigned int *}' but argument is of type 'UINT * {aka unsigned int *}'
src/Mayaqua/Secure.c: In function 'OpenSecSession':
src/Mayaqua/Secure.c:1680:52: warning: passing argument 5 of 'sec->Api->C_OpenSession' from incompatible pointer type [-Wincompatible-pointer-types]
   CKF_RW_SESSION | CKF_SERIAL_SESSION, NULL, NULL, &session)) != CKR_OK)
                                                    ^
src/Mayaqua/Secure.c:1680:52: note: expected 'CK_SESSION_HANDLE_PTR {aka long unsigned int *}' but argument is of type 'UINT * {aka unsigned int *}'
src/Mayaqua/Secure.c:1685:36: warning: passing argument 5 of 'sec->Api->C_OpenSession' from incompatible pointer type [-Wincompatible-pointer-types]
    CKF_SERIAL_SESSION, NULL, NULL, &session)) != CKR_OK)
                                    ^
src/Mayaqua/Secure.c:1685:36: note: expected 'CK_SESSION_HANDLE_PTR {aka long unsigned int *}' but argument is of type 'UINT * {aka unsigned int *}'
src/Mayaqua/Secure.c: In function 'OpenSec':
src/Mayaqua/Secure.c:1773:49: warning: passing argument 3 of 'sec->Api->C_GetSlotList' from incompatible pointer type [-Wincompatible-pointer-types]
  if ((err = sec->Api->C_GetSlotList(true, NULL, &sec->NumSlot)) != CKR_OK || sec->NumSlot == 0)
                                                 ^
src/Mayaqua/Secure.c:1773:49: note: expected 'CK_ULONG_PTR {aka long unsigned int *}' but argument is of type 'UINT * {aka unsigned int *}'
src/Mayaqua/Secure.c:1783:36: warning: passing argument 2 of 'sec->Api->C_GetSlotList' from incompatible pointer type [-Wincompatible-pointer-types]
  if (sec->Api->C_GetSlotList(TRUE, sec->SlotIdList, &sec->NumSlot) != CKR_OK)
                                    ^~~
src/Mayaqua/Secure.c:1783:36: note: expected 'CK_SLOT_ID_PTR {aka long unsigned int *}' but argument is of type 'UINT * {aka unsigned int *}'
src/Mayaqua/Secure.c:1783:53: warning: passing argument 3 of 'sec->Api->C_GetSlotList' from incompatible pointer type [-Wincompatible-pointer-types]
  if (sec->Api->C_GetSlotList(TRUE, sec->SlotIdList, &sec->NumSlot) != CKR_OK)
                                                     ^
src/Mayaqua/Secure.c:1783:53: note: expected 'CK_ULONG_PTR {aka long unsigned int *}' but argument is of type 'UINT * {aka unsigned int *}'
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Str.c -o tmp/objs/Mayaqua/Str.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Table.c -o tmp/objs/Mayaqua/Table.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/TcpIp.c -o tmp/objs/Mayaqua/TcpIp.o
src/Mayaqua/TcpIp.c: In function 'ParsePacketIPv6Header':
src/Mayaqua/TcpIp.c:2480:34: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
   info->TotalHeaderSize = (UINT)((UINT64)(info->Payload) - (UINT64)(info->IPv6Header));
                                  ^
src/Mayaqua/TcpIp.c:2480:60: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
   info->TotalHeaderSize = (UINT)((UINT64)(info->Payload) - (UINT64)(info->IPv6Header));
                                                            ^
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Tick64.c -o tmp/objs/Mayaqua/Tick64.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Tracking.c -o tmp/objs/Mayaqua/Tracking.o
In file included from ./src/Mayaqua/Mayaqua.h:318:0,
                 from src/Mayaqua/Tracking.c:108:
src/Mayaqua/Tracking.c: In function 'PrintObjectInfo':
./src/Mayaqua/MayaType.h:221:68: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
 #define UINT64_TO_POINTER(i) ((sizeof(void *) == sizeof(UINT64)) ? (void *)(i) : (void *)((UINT)(i)))
                                                                    ^
src/Mayaqua/Tracking.c:241:19: note: in expansion of macro 'UINT64_TO_POINTER'
   o->Id, o->Name, UINT64_TO_POINTER(o->Address), o->Size, tmp);
                   ^~~~~~~~~~~~~~~~~
src/Mayaqua/Tracking.c: In function 'PrintObjectList':
./src/Mayaqua/MayaType.h:221:68: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
 #define UINT64_TO_POINTER(i) ((sizeof(void *) == sizeof(UINT64)) ? (void *)(i) : (void *)((UINT)(i)))
                                                                    ^
src/Mayaqua/Tracking.c:307:24: note: in expansion of macro 'UINT64_TO_POINTER'
   o->Id, o->Name, tmp, UINT64_TO_POINTER(o->Address), o->Size, o->FileName, o->LineNumber);
                        ^~~~~~~~~~~~~~~~~
src/Mayaqua/Tracking.c: In function 'TrackDeleteObj':
src/Mayaqua/Tracking.c:528:54: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
     printf("TrackDeleteObj: 0x%x is not Object!!\n", (void *)addr);
                                                      ^
In file included from ./src/Mayaqua/Mayaqua.h:318:0,
                 from src/Mayaqua/Tracking.c:108:
src/Mayaqua/Tracking.c: In function 'GetCallStackStr':
./src/Mayaqua/MayaType.h:221:68: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
 #define UINT64_TO_POINTER(i) ((sizeof(void *) == sizeof(UINT64)) ? (void *)(i) : (void *)((UINT)(i)))
                                                                    ^
src/Mayaqua/Tracking.c:863:42: note: in expansion of macro 'UINT64_TO_POINTER'
     Format(tmp, sizeof(tmp), "0x%p ---", UINT64_TO_POINTER(s->offset));
                                          ^~~~~~~~~~~~~~~~~
src/Mayaqua/Tracking.c:868:6: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
      (void *)s->offset, s->name, UINT64_TO_POINTER(s->disp));
      ^
In file included from ./src/Mayaqua/Mayaqua.h:318:0,
                 from src/Mayaqua/Tracking.c:108:
./src/Mayaqua/MayaType.h:221:68: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
 #define UINT64_TO_POINTER(i) ((sizeof(void *) == sizeof(UINT64)) ? (void *)(i) : (void *)((UINT)(i)))
                                                                    ^
src/Mayaqua/Tracking.c:868:34: note: in expansion of macro 'UINT64_TO_POINTER'
      (void *)s->offset, s->name, UINT64_TO_POINTER(s->disp));
                                  ^~~~~~~~~~~~~~~~~
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Unix.c -o tmp/objs/Mayaqua/Unix.o
src/Mayaqua/Unix.c: In function 'UnixIgnoreSignalForThread':
src/Mayaqua/Unix.c:322:18: warning: assignment from incompatible pointer type [-Wincompatible-pointer-types]
  sa.sa_sigaction = signal_received_for_ignore;
                  ^
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Mayaqua/Win32.c -o tmp/objs/Mayaqua/Win32.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Account.c -o tmp/objs/Cedar/Account.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Admin.c -o tmp/objs/Cedar/Admin.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/AzureClient.c -o tmp/objs/Cedar/AzureClient.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/AzureServer.c -o tmp/objs/Cedar/AzureServer.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Bridge.c -o tmp/objs/Cedar/Bridge.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/BridgeUnix.c -o tmp/objs/Cedar/BridgeUnix.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/BridgeWin32.c -o tmp/objs/Cedar/BridgeWin32.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Cedar.c -o tmp/objs/Cedar/Cedar.o
In file included from src/Cedar/Bridge.c:115:0:
src/Cedar/BridgeUnix.c: In function 'CloseEth':
src/Cedar/BridgeUnix.c:1455:3: warning: implicit declaration of function 'FreeTap' [-Wimplicit-function-declaration]
   FreeTap(e->Tap);
   ^~~~~~~
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/CedarPch.c -o tmp/objs/Cedar/CedarPch.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Client.c -o tmp/objs/Cedar/Client.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/CM.c -o tmp/objs/Cedar/CM.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Command.c -o tmp/objs/Cedar/Command.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Connection.c -o tmp/objs/Cedar/Connection.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Console.c -o tmp/objs/Cedar/Console.o
src/Cedar/Console.c: In function 'PasswordPrompt':
src/Cedar/Console.c:2012:8: warning: implicit declaration of function 'getch' [-Wimplicit-function-declaration]
    c = getch();
        ^~~~~
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Database.c -o tmp/objs/Cedar/Database.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/DDNS.c -o tmp/objs/Cedar/DDNS.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/EM.c -o tmp/objs/Cedar/EM.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/EtherLog.c -o tmp/objs/Cedar/EtherLog.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Hub.c -o tmp/objs/Cedar/Hub.o
src/Cedar/Hub.c: In function 'CmpAccessList':
src/Cedar/Hub.c:3199:20: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
   UINT64 size64 = ((UINT64)(&a1->UniqueId) - (UINT64)(&a1->Active));
                    ^
src/Cedar/Hub.c:3199:46: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
   UINT64 size64 = ((UINT64)(&a1->UniqueId) - (UINT64)(&a1->Active));
                                              ^
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Interop_OpenVPN.c -o tmp/objs/Cedar/Interop_OpenVPN.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Interop_SSTP.c -o tmp/objs/Cedar/Interop_SSTP.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/IPsec.c -o tmp/objs/Cedar/IPsec.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/IPsec_EtherIP.c -o tmp/objs/Cedar/IPsec_EtherIP.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/IPsec_IKE.c -o tmp/objs/Cedar/IPsec_IKE.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/IPsec_IkePacket.c -o tmp/objs/Cedar/IPsec_IkePacket.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/IPsec_IPC.c -o tmp/objs/Cedar/IPsec_IPC.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/IPsec_L2TP.c -o tmp/objs/Cedar/IPsec_L2TP.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/IPsec_PPP.c -o tmp/objs/Cedar/IPsec_PPP.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/IPsec_Win7.c -o tmp/objs/Cedar/IPsec_Win7.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Layer3.c -o tmp/objs/Cedar/Layer3.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Link.c -o tmp/objs/Cedar/Link.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Listener.c -o tmp/objs/Cedar/Listener.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Logging.c -o tmp/objs/Cedar/Logging.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Nat.c -o tmp/objs/Cedar/Nat.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/NativeStack.c -o tmp/objs/Cedar/NativeStack.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/NM.c -o tmp/objs/Cedar/NM.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/NullLan.c -o tmp/objs/Cedar/NullLan.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Protocol.c -o tmp/objs/Cedar/Protocol.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Radius.c -o tmp/objs/Cedar/Radius.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Remote.c -o tmp/objs/Cedar/Remote.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Sam.c -o tmp/objs/Cedar/Sam.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/SecureInfo.c -o tmp/objs/Cedar/SecureInfo.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/SecureNAT.c -o tmp/objs/Cedar/SecureNAT.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/SeLowUser.c -o tmp/objs/Cedar/SeLowUser.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Server.c -o tmp/objs/Cedar/Server.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Session.c -o tmp/objs/Cedar/Session.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/SM.c -o tmp/objs/Cedar/SM.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/SW.c -o tmp/objs/Cedar/SW.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/UdpAccel.c -o tmp/objs/Cedar/UdpAccel.o
src/Cedar/Server.c: In function 'SiGetNextFarmMember':
src/Cedar/Server.c:6914:30: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
     PackAddInt64Ex(p, "Key", (UINT64)f, i, num);
                              ^
src/Cedar/Server.c:6993:21: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
    FARM_MEMBER *f = (FARM_MEMBER *)ret_key;
                     ^
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/UT.c -o tmp/objs/Cedar/UT.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/VG.c -o tmp/objs/Cedar/VG.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Virtual.c -o tmp/objs/Cedar/Virtual.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/VLan.c -o tmp/objs/Cedar/VLan.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/VLanUnix.c -o tmp/objs/Cedar/VLanUnix.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/VLanWin32.c -o tmp/objs/Cedar/VLanWin32.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/WaterMark.c -o tmp/objs/Cedar/WaterMark.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/WebUI.c -o tmp/objs/Cedar/WebUI.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/WinUi.c -o tmp/objs/Cedar/WinUi.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/Cedar/Wpc.c -o tmp/objs/Cedar/Wpc.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/vpnserver/vpnserver.c -o tmp/objs/vpnserver.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/vpnclient/vpncsvc.c -o tmp/objs/vpnclient.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/vpnbridge/vpnbridge.c -o tmp/objs/vpnbridge.o
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char tmp/objs/Mayaqua/Cfg.o tmp/objs/Mayaqua/Encrypt.o tmp/objs/Mayaqua/FileIO.o tmp/objs/Mayaqua/Internat.o tmp/objs/Mayaqua/Kernel.o tmp/objs/Mayaqua/Mayaqua.o tmp/objs/Mayaqua/Memory.o tmp/objs/Mayaqua/Microsoft.o tmp/objs/Mayaqua/Network.o tmp/objs/Mayaqua/Object.o tmp/objs/Mayaqua/OS.o tmp/objs/Mayaqua/Pack.o tmp/objs/Mayaqua/Secure.o tmp/objs/Mayaqua/Str.o tmp/objs/Mayaqua/Table.o tmp/objs/Mayaqua/TcpIp.o tmp/objs/Mayaqua/Tick64.o tmp/objs/Mayaqua/Tracking.o tmp/objs/Mayaqua/Unix.o tmp/objs/Mayaqua/Win32.o tmp/objs/Cedar/Account.o tmp/objs/Cedar/Admin.o tmp/objs/Cedar/AzureClient.o tmp/objs/Cedar/AzureServer.o tmp/objs/Cedar/Bridge.o tmp/objs/Cedar/BridgeUnix.o tmp/objs/Cedar/BridgeWin32.o tmp/objs/Cedar/Cedar.o tmp/objs/Cedar/CedarPch.o tmp/objs/Cedar/Client.o tmp/objs/Cedar/CM.o tmp/objs/Cedar/Command.o tmp/objs/Cedar/Connection.o tmp/objs/Cedar/Console.o tmp/objs/Cedar/Database.o tmp/objs/Cedar/DDNS.o tmp/objs/Cedar/EM.o tmp/objs/Cedar/EtherLog.o tmp/objs/Cedar/Hub.o tmp/objs/Cedar/Interop_OpenVPN.o tmp/objs/Cedar/Interop_SSTP.o tmp/objs/Cedar/IPsec.o tmp/objs/Cedar/IPsec_EtherIP.o tmp/objs/Cedar/IPsec_IKE.o tmp/objs/Cedar/IPsec_IkePacket.o tmp/objs/Cedar/IPsec_IPC.o tmp/objs/Cedar/IPsec_L2TP.o tmp/objs/Cedar/IPsec_PPP.o tmp/objs/Cedar/IPsec_Win7.o tmp/objs/Cedar/Layer3.o tmp/objs/Cedar/Link.o tmp/objs/Cedar/Listener.o tmp/objs/Cedar/Logging.o tmp/objs/Cedar/Nat.o tmp/objs/Cedar/NativeStack.o tmp/objs/Cedar/NM.o tmp/objs/Cedar/NullLan.o tmp/objs/Cedar/Protocol.o tmp/objs/Cedar/Radius.o tmp/objs/Cedar/Remote.o tmp/objs/Cedar/Sam.o tmp/objs/Cedar/SecureInfo.o tmp/objs/Cedar/SecureNAT.o tmp/objs/Cedar/SeLowUser.o tmp/objs/Cedar/Server.o tmp/objs/Cedar/Session.o tmp/objs/Cedar/SM.o tmp/objs/Cedar/SW.o tmp/objs/Cedar/UdpAccel.o tmp/objs/Cedar/UT.o tmp/objs/Cedar/VG.o tmp/objs/Cedar/Virtual.o tmp/objs/Cedar/VLan.o tmp/objs/Cedar/VLanUnix.o tmp/objs/Cedar/VLanWin32.o tmp/objs/Cedar/WaterMark.o tmp/objs/Cedar/WebUI.o tmp/objs/Cedar/WinUi.o tmp/objs/Cedar/Wpc.o src/hamcorebuilder/hamcorebuilder.c -O2 -fsigned-char -lm -ldl -lrt -lpthread -lssl -lcrypto -lreadline -lncurses -lz -o tmp/hamcorebuilder
cc -DNDEBUG -DVPN_SPEED -DUNIX -DUNIX_LINUX -D_REENTRANT -DREENTRANT -D_THREAD_SAFE -D_THREADSAFE -DTHREAD_SAFE -DTHREADSAFE -D_FILE_OFFSET_BITS=64 -I./src/ -I./src/Cedar/ -I./src/Mayaqua/ -O2 -fsigned-char -c src/vpncmd/vpncmd.c -o tmp/objs/vpncmd.o
rm -f tmp/as/vpnserver.a
ar r tmp/as/vpnserver.a tmp/objs/Mayaqua/Cfg.o tmp/objs/Mayaqua/Encrypt.o tmp/objs/Mayaqua/FileIO.o tmp/objs/Mayaqua/Internat.o tmp/objs/Mayaqua/Kernel.o tmp/objs/Mayaqua/Mayaqua.o tmp/objs/Mayaqua/Memory.o tmp/objs/Mayaqua/Microsoft.o tmp/objs/Mayaqua/Network.o tmp/objs/Mayaqua/Object.o tmp/objs/Mayaqua/OS.o tmp/objs/Mayaqua/Pack.o tmp/objs/Mayaqua/Secure.o tmp/objs/Mayaqua/Str.o tmp/objs/Mayaqua/Table.o tmp/objs/Mayaqua/TcpIp.o tmp/objs/Mayaqua/Tick64.o tmp/objs/Mayaqua/Tracking.o tmp/objs/Mayaqua/Unix.o tmp/objs/Mayaqua/Win32.o tmp/objs/Cedar/Account.o tmp/objs/Cedar/Admin.o tmp/objs/Cedar/AzureClient.o tmp/objs/Cedar/AzureServer.o tmp/objs/Cedar/Bridge.o tmp/objs/Cedar/BridgeUnix.o tmp/objs/Cedar/BridgeWin32.o tmp/objs/Cedar/Cedar.o tmp/objs/Cedar/CedarPch.o tmp/objs/Cedar/Client.o tmp/objs/Cedar/CM.o tmp/objs/Cedar/Command.o tmp/objs/Cedar/Connection.o tmp/objs/Cedar/Console.o tmp/objs/Cedar/Database.o tmp/objs/Cedar/DDNS.o tmp/objs/Cedar/EM.o tmp/objs/Cedar/EtherLog.o tmp/objs/Cedar/Hub.o tmp/objs/Cedar/Interop_OpenVPN.o tmp/objs/Cedar/Interop_SSTP.o tmp/objs/Cedar/IPsec.o tmp/objs/Cedar/IPsec_EtherIP.o tmp/objs/Cedar/IPsec_IKE.o tmp/objs/Cedar/IPsec_IkePacket.o tmp/objs/Cedar/IPsec_IPC.o tmp/objs/Cedar/IPsec_L2TP.o tmp/objs/Cedar/IPsec_PPP.o tmp/objs/Cedar/IPsec_Win7.o tmp/objs/Cedar/Layer3.o tmp/objs/Cedar/Link.o tmp/objs/Cedar/Listener.o tmp/objs/Cedar/Logging.o tmp/objs/Cedar/Nat.o tmp/objs/Cedar/NativeStack.o tmp/objs/Cedar/NM.o tmp/objs/Cedar/NullLan.o tmp/objs/Cedar/Protocol.o tmp/objs/Cedar/Radius.o tmp/objs/Cedar/Remote.o tmp/objs/Cedar/Sam.o tmp/objs/Cedar/SecureInfo.o tmp/objs/Cedar/SecureNAT.o tmp/objs/Cedar/SeLowUser.o tmp/objs/Cedar/Server.o tmp/objs/Cedar/Session.o tmp/objs/Cedar/SM.o tmp/objs/Cedar/SW.o tmp/objs/Cedar/UdpAccel.o tmp/objs/Cedar/UT.o tmp/objs/Cedar/VG.o tmp/objs/Cedar/Virtual.o tmp/objs/Cedar/VLan.o tmp/objs/Cedar/VLanUnix.o tmp/objs/Cedar/VLanWin32.o tmp/objs/Cedar/WaterMark.o tmp/objs/Cedar/WebUI.o tmp/objs/Cedar/WinUi.o tmp/objs/Cedar/Wpc.o tmp/objs/vpnserver.o
ar: creating tmp/as/vpnserver.a
rm -f tmp/as/vpnclient.a
ar r tmp/as/vpnclient.a tmp/objs/Mayaqua/Cfg.o tmp/objs/Mayaqua/Encrypt.o tmp/objs/Mayaqua/FileIO.o tmp/objs/Mayaqua/Internat.o tmp/objs/Mayaqua/Kernel.o tmp/objs/Mayaqua/Mayaqua.o tmp/objs/Mayaqua/Memory.o tmp/objs/Mayaqua/Microsoft.o tmp/objs/Mayaqua/Network.o tmp/objs/Mayaqua/Object.o tmp/objs/Mayaqua/OS.o tmp/objs/Mayaqua/Pack.o tmp/objs/Mayaqua/Secure.o tmp/objs/Mayaqua/Str.o tmp/objs/Mayaqua/Table.o tmp/objs/Mayaqua/TcpIp.o tmp/objs/Mayaqua/Tick64.o tmp/objs/Mayaqua/Tracking.o tmp/objs/Mayaqua/Unix.o tmp/objs/Mayaqua/Win32.o tmp/objs/Cedar/Account.o tmp/objs/Cedar/Admin.o tmp/objs/Cedar/AzureClient.o tmp/objs/Cedar/AzureServer.o tmp/objs/Cedar/Bridge.o tmp/objs/Cedar/BridgeUnix.o tmp/objs/Cedar/BridgeWin32.o tmp/objs/Cedar/Cedar.o tmp/objs/Cedar/CedarPch.o tmp/objs/Cedar/Client.o tmp/objs/Cedar/CM.o tmp/objs/Cedar/Command.o tmp/objs/Cedar/Connection.o tmp/objs/Cedar/Console.o tmp/objs/Cedar/Database.o tmp/objs/Cedar/DDNS.o tmp/objs/Cedar/EM.o tmp/objs/Cedar/EtherLog.o tmp/objs/Cedar/Hub.o tmp/objs/Cedar/Interop_OpenVPN.o tmp/objs/Cedar/Interop_SSTP.o tmp/objs/Cedar/IPsec.o tmp/objs/Cedar/IPsec_EtherIP.o tmp/objs/Cedar/IPsec_IKE.o tmp/objs/Cedar/IPsec_IkePacket.o tmp/objs/Cedar/IPsec_IPC.o tmp/objs/Cedar/IPsec_L2TP.o tmp/objs/Cedar/IPsec_PPP.o tmp/objs/Cedar/IPsec_Win7.o tmp/objs/Cedar/Layer3.o tmp/objs/Cedar/Link.o tmp/objs/Cedar/Listener.o tmp/objs/Cedar/Logging.o tmp/objs/Cedar/Nat.o tmp/objs/Cedar/NativeStack.o tmp/objs/Cedar/NM.o tmp/objs/Cedar/NullLan.o tmp/objs/Cedar/Protocol.o tmp/objs/Cedar/Radius.o tmp/objs/Cedar/Remote.o tmp/objs/Cedar/Sam.o tmp/objs/Cedar/SecureInfo.o tmp/objs/Cedar/SecureNAT.o tmp/objs/Cedar/SeLowUser.o tmp/objs/Cedar/Server.o tmp/objs/Cedar/Session.o tmp/objs/Cedar/SM.o tmp/objs/Cedar/SW.o tmp/objs/Cedar/UdpAccel.o tmp/objs/Cedar/UT.o tmp/objs/Cedar/VG.o tmp/objs/Cedar/Virtual.o tmp/objs/Cedar/VLan.o tmp/objs/Cedar/VLanUnix.o tmp/objs/Cedar/VLanWin32.o tmp/objs/Cedar/WaterMark.o tmp/objs/Cedar/WebUI.o tmp/objs/Cedar/WinUi.o tmp/objs/Cedar/Wpc.o tmp/objs/vpnclient.o
ar: creating tmp/as/vpnclient.a
ranlib tmp/as/vpnserver.a
ranlib tmp/as/vpnclient.a
rm -f tmp/as/vpnbridge.a
ar r tmp/as/vpnbridge.a tmp/objs/Mayaqua/Cfg.o tmp/objs/Mayaqua/Encrypt.o tmp/objs/Mayaqua/FileIO.o tmp/objs/Mayaqua/Internat.o tmp/objs/Mayaqua/Kernel.o tmp/objs/Mayaqua/Mayaqua.o tmp/objs/Mayaqua/Memory.o tmp/objs/Mayaqua/Microsoft.o tmp/objs/Mayaqua/Network.o tmp/objs/Mayaqua/Object.o tmp/objs/Mayaqua/OS.o tmp/objs/Mayaqua/Pack.o tmp/objs/Mayaqua/Secure.o tmp/objs/Mayaqua/Str.o tmp/objs/Mayaqua/Table.o tmp/objs/Mayaqua/TcpIp.o tmp/objs/Mayaqua/Tick64.o tmp/objs/Mayaqua/Tracking.o tmp/objs/Mayaqua/Unix.o tmp/objs/Mayaqua/Win32.o tmp/objs/Cedar/Account.o tmp/objs/Cedar/Admin.o tmp/objs/Cedar/AzureClient.o tmp/objs/Cedar/AzureServer.o tmp/objs/Cedar/Bridge.o tmp/objs/Cedar/BridgeUnix.o tmp/objs/Cedar/BridgeWin32.o tmp/objs/Cedar/Cedar.o tmp/objs/Cedar/CedarPch.o tmp/objs/Cedar/Client.o tmp/objs/Cedar/CM.o tmp/objs/Cedar/Command.o tmp/objs/Cedar/Connection.o tmp/objs/Cedar/Console.o tmp/objs/Cedar/Database.o tmp/objs/Cedar/DDNS.o tmp/objs/Cedar/EM.o tmp/objs/Cedar/EtherLog.o tmp/objs/Cedar/Hub.o tmp/objs/Cedar/Interop_OpenVPN.o tmp/objs/Cedar/Interop_SSTP.o tmp/objs/Cedar/IPsec.o tmp/objs/Cedar/IPsec_EtherIP.o tmp/objs/Cedar/IPsec_IKE.o tmp/objs/Cedar/IPsec_IkePacket.o tmp/objs/Cedar/IPsec_IPC.o tmp/objs/Cedar/IPsec_L2TP.o tmp/objs/Cedar/IPsec_PPP.o tmp/objs/Cedar/IPsec_Win7.o tmp/objs/Cedar/Layer3.o tmp/objs/Cedar/Link.o tmp/objs/Cedar/Listener.o tmp/objs/Cedar/Logging.o tmp/objs/Cedar/Nat.o tmp/objs/Cedar/NativeStack.o tmp/objs/Cedar/NM.o tmp/objs/Cedar/NullLan.o tmp/objs/Cedar/Protocol.o tmp/objs/Cedar/Radius.o tmp/objs/Cedar/Remote.o tmp/objs/Cedar/Sam.o tmp/objs/Cedar/SecureInfo.o tmp/objs/Cedar/SecureNAT.o tmp/objs/Cedar/SeLowUser.o tmp/objs/Cedar/Server.o tmp/objs/Cedar/Session.o tmp/objs/Cedar/SM.o tmp/objs/Cedar/SW.o tmp/objs/Cedar/UdpAccel.o tmp/objs/Cedar/UT.o tmp/objs/Cedar/VG.o tmp/objs/Cedar/Virtual.o tmp/objs/Cedar/VLan.o tmp/objs/Cedar/VLanUnix.o tmp/objs/Cedar/VLanWin32.o tmp/objs/Cedar/WaterMark.o tmp/objs/Cedar/WebUI.o tmp/objs/Cedar/WinUi.o tmp/objs/Cedar/Wpc.o tmp/objs/vpnbridge.o
ar: creating tmp/as/vpnbridge.a
ranlib tmp/as/vpnbridge.a
tmp/hamcorebuilder src/bin/hamcore/ src/bin/BuiltHamcoreFiles/unix/hamcore.se2
hamcore.se2 Build Utility
Copyright (c) SoftEther VPN Project. All Rights Reserved.

Src Dir: 'src/bin/hamcore/'
Dest Filename: 'src/bin/BuiltHamcoreFiles/unix/hamcore.se2'

Processing...
src/bin/hamcore/authors.txt: 1838 -> 729
src/bin/hamcore/backup_dir_readme.txt: 314 -> 130
src/bin/hamcore/empty.config: 37 -> 42
src/bin/hamcore/empty_sevpnclient.config: 1921 -> 866
src/bin/hamcore/eula.txt: 58227 -> 13571
src/bin/hamcore/install_src.dat: 13 -> 21
src/bin/hamcore/lang.config: 698 -> 409
src/bin/hamcore/languages.txt: 403 -> 346
src/bin/hamcore/legal.txt: 41897 -> 11931
rm -f tmp/as/vpncmd.a
ar r tmp/as/vpncmd.a tmp/objs/Mayaqua/Cfg.o tmp/objs/Mayaqua/Encrypt.o tmp/objs/Mayaqua/FileIO.o tmp/objs/Mayaqua/Internat.o tmp/objs/Mayaqua/Kernel.o tmp/objs/Mayaqua/Mayaqua.o tmp/objs/Mayaqua/Memory.o tmp/objs/Mayaqua/Microsoft.o tmp/objs/Mayaqua/Network.o tmp/objs/Mayaqua/Object.o tmp/objs/Mayaqua/OS.o tmp/objs/Mayaqua/Pack.o tmp/objs/Mayaqua/Secure.o tmp/objs/Mayaqua/Str.o tmp/objs/Mayaqua/Table.o tmp/objs/Mayaqua/TcpIp.o tmp/objs/Mayaqua/Tick64.o tmp/objs/Mayaqua/Tracking.o tmp/objs/Mayaqua/Unix.o tmp/objs/Mayaqua/Win32.o tmp/objs/Cedar/Account.o tmp/objs/Cedar/Admin.o tmp/objs/Cedar/AzureClient.o tmp/objs/Cedar/AzureServer.o tmp/objs/Cedar/Bridge.o tmp/objs/Cedar/BridgeUnix.o tmp/objs/Cedar/BridgeWin32.o tmp/objs/Cedar/Cedar.o tmp/objs/Cedar/CedarPch.o tmp/objs/Cedar/Client.o tmp/objs/Cedar/CM.o tmp/objs/Cedar/Command.o tmp/objs/Cedar/Connection.o tmp/objs/Cedar/Console.o tmp/objs/Cedar/Database.o tmp/objs/Cedar/DDNS.o tmp/objs/Cedar/EM.o tmp/objs/Cedar/EtherLog.o tmp/objs/Cedar/Hub.o tmp/objs/Cedar/Interop_OpenVPN.o tmp/objs/Cedar/Interop_SSTP.o tmp/objs/Cedar/IPsec.o tmp/objs/Cedar/IPsec_EtherIP.o tmp/objs/Cedar/IPsec_IKE.o tmp/objs/Cedar/IPsec_IkePacket.o tmp/objs/Cedar/IPsec_IPC.o tmp/objs/Cedar/IPsec_L2TP.o tmp/objs/Cedar/IPsec_PPP.o tmp/objs/Cedar/IPsec_Win7.o tmp/objs/Cedar/Layer3.o tmp/objs/Cedar/Link.o tmp/objs/Cedar/Listener.o tmp/objs/Cedar/Logging.o tmp/objs/Cedar/Nat.o tmp/objs/Cedar/NativeStack.o tmp/objs/Cedar/NM.o tmp/objs/Cedar/NullLan.o tmp/objs/Cedar/Protocol.o tmp/objs/Cedar/Radius.o tmp/objs/Cedar/Remote.o tmp/objs/Cedar/Sam.o tmp/objs/Cedar/SecureInfo.o tmp/objs/Cedar/SecureNAT.o tmp/objs/Cedar/SeLowUser.o tmp/objs/Cedar/Server.o tmp/objs/Cedar/Session.o tmp/objs/Cedar/SM.o tmp/objs/Cedar/SW.o tmp/objs/Cedar/UdpAccel.o tmp/objs/Cedar/UT.o tmp/objs/Cedar/VG.o tmp/objs/Cedar/Virtual.o tmp/objs/Cedar/VLan.o tmp/objs/Cedar/VLanUnix.o tmp/objs/Cedar/VLanWin32.o tmp/objs/Cedar/WaterMark.o tmp/objs/Cedar/WebUI.o tmp/objs/Cedar/WinUi.o tmp/objs/Cedar/Wpc.o tmp/objs/vpncmd.o
ar: creating tmp/as/vpncmd.a
ranlib tmp/as/vpncmd.a
src/bin/hamcore/openvpn_readme.pdf: 490556 -> 479129
src/bin/hamcore/openvpn_readme.txt: 13030 -> 5081
src/bin/hamcore/openvpn_sample.ovpn: 4779 -> 1746
src/bin/hamcore/root_certs.dat: 400489 -> 275260
src/bin/hamcore/SOURCES_OF_BINARY_FILES.TXT: 5258 -> 2231
src/bin/hamcore/strtable_cn.stb: 554784 -> 148131
src/bin/hamcore/strtable_en.stb: 637334 -> 144875
src/bin/hamcore/strtable_ja.stb: 796809 -> 153757
src/bin/hamcore/vpnweb_sample_cn.htm: 3965 -> 1578
src/bin/hamcore/vpnweb_sample_en.htm: 3965 -> 1578
src/bin/hamcore/vpnweb_sample_ja.htm: 4856 -> 1978
src/bin/hamcore/warning_cn.txt: 28354 -> 10330
src/bin/hamcore/warning_en.txt: 33209 -> 10593
src/bin/hamcore/warning_ja.txt: 47044 -> 12289
src/bin/hamcore/webui/cryptcom.cgi: 1729 -> 865
src/bin/hamcore/webui/edituser.cgi: 1495 -> 723
src/bin/hamcore/webui/error.cgi: 279 -> 243
src/bin/hamcore/webui/hub.cgi: 2633 -> 893
src/bin/hamcore/webui/license.cgi: 1852 -> 895
src/bin/hamcore/webui/listener.cgi: 463 -> 328
src/bin/hamcore/webui/localbridge.cgi: 1876 -> 918
src/bin/hamcore/webui/login.cgi: 767 -> 499
src/bin/hamcore/webui/newhub.cgi: 805 -> 473
src/bin/hamcore/webui/redirect.cgi: 254 -> 177
src/bin/hamcore/webui/securenat.cgi: 3169 -> 1125
src/bin/hamcore/webui/server.cgi: 2367 -> 960
src/bin/hamcore/webui/session.cgi: 979 -> 546
src/bin/hamcore/webui/user.cgi: 951 -> 533
src/bin/hamcore/webui/webui.css: 30 -> 38
authors.txt: offset: 1236
backup_dir_readme.txt: offset: 1965
empty.config: offset: 2095
empty_sevpnclient.config: offset: 2137
eula.txt: offset: 3003
install_src.dat: offset: 16574
lang.config: offset: 16595
languages.txt: offset: 17004
legal.txt: offset: 17350
openvpn_readme.pdf: offset: 29281
openvpn_readme.txt: offset: 508410
openvpn_sample.ovpn: offset: 513491
root_certs.dat: offset: 515237
SOURCES_OF_BINARY_FILES.TXT: offset: 790497
strtable_cn.stb: offset: 792728
strtable_en.stb: offset: 940859
strtable_ja.stb: offset: 1085734
vpnweb_sample_cn.htm: offset: 1239491
vpnweb_sample_en.htm: offset: 1241069
vpnweb_sample_ja.htm: offset: 1242647
warning_cn.txt: offset: 1244625
warning_en.txt: offset: 1254955
warning_ja.txt: offset: 1265548
webui\cryptcom.cgi: offset: 1277837
webui\edituser.cgi: offset: 1278702
webui\error.cgi: offset: 1279425
webui\hub.cgi: offset: 1279668
webui\license.cgi: offset: 1280561
webui\listener.cgi: offset: 1281456
webui\localbridge.cgi: offset: 1281784
webui\login.cgi: offset: 1282702
webui\newhub.cgi: offset: 1283201
webui\redirect.cgi: offset: 1283674
webui\securenat.cgi: offset: 1283851
webui\server.cgi: offset: 1284976
webui\session.cgi: offset: 1285936
webui\user.cgi: offset: 1286482
webui\webui.css: offset: 1287015
Writing src/bin/BuiltHamcoreFiles/unix/hamcore.se2...

Done.
cp src/bin/BuiltHamcoreFiles/unix/hamcore.se2 bin/vpnserver/hamcore.se2
cp src/bin/BuiltHamcoreFiles/unix/hamcore.se2 bin/vpnclient/hamcore.se2
cp src/bin/BuiltHamcoreFiles/unix/hamcore.se2 bin/vpnbridge/hamcore.se2
cp src/bin/BuiltHamcoreFiles/unix/hamcore.se2 bin/vpncmd/hamcore.se2
cc tmp/as/vpnserver.a -O2 -fsigned-char -lm -ldl -lrt -lpthread -lssl -lcrypto -lreadline -lncurses -lz -o bin/vpnserver/vpnserver
cc tmp/as/vpnclient.a -O2 -fsigned-char -lm -ldl -lrt -lpthread -lssl -lcrypto -lreadline -lncurses -lz -o bin/vpnclient/vpnclient
cc tmp/as/vpnbridge.a -O2 -fsigned-char -lm -ldl -lrt -lpthread -lssl -lcrypto -lreadline -lncurses -lz -o bin/vpnbridge/vpnbridge
cc tmp/as/vpncmd.a -O2 -fsigned-char -lm -ldl -lrt -lpthread -lssl -lcrypto -lreadline -lncurses -lz -o bin/vpncmd/vpncmd
cp bin/vpnserver/hamcore.se2 /home/slitaz/wok/softether/install/usr/vpnserver/hamcore.se2
cp bin/vpnbridge/hamcore.se2 /home/slitaz/wok/softether/install/usr/vpnbridge/hamcore.se2
cp bin/vpnclient/hamcore.se2 /home/slitaz/wok/softether/install/usr/vpnclient/hamcore.se2
cp bin/vpncmd/hamcore.se2 /home/slitaz/wok/softether/install/usr/vpncmd/hamcore.se2
cp bin/vpnserver/vpnserver /home/slitaz/wok/softether/install/usr/vpnserver/vpnserver
cp bin/vpnbridge/vpnbridge /home/slitaz/wok/softether/install/usr/vpnbridge/vpnbridge
cp bin/vpnclient/vpnclient /home/slitaz/wok/softether/install/usr/vpnclient/vpnclient
cp bin/vpncmd/vpncmd /home/slitaz/wok/softether/install/usr/vpncmd/vpncmd
echo "#!/bin/sh" > /home/slitaz/wok/softether/install/usr/bin/vpnserver
echo "#!/bin/sh" > /home/slitaz/wok/softether/install/usr/bin/vpnbridge
echo "#!/bin/sh" > /home/slitaz/wok/softether/install/usr/bin/vpncmd
echo /home/slitaz/wok/softether/install/usr/vpnserver/vpnserver '"$@"' >> /home/slitaz/wok/softether/install/usr/bin/vpnserver
echo /home/slitaz/wok/softether/install/usr/vpnbridge/vpnbridge '"$@"' >> /home/slitaz/wok/softether/install/usr/bin/vpnbridge
echo "#!/bin/sh" > /home/slitaz/wok/softether/install/usr/bin/vpnclient
echo /home/slitaz/wok/softether/install/usr/vpncmd/vpncmd '"$@"' >> /home/slitaz/wok/softether/install/usr/bin/vpncmd
echo 'exit $?' >> /home/slitaz/wok/softether/install/usr/bin/vpnserver
echo /home/slitaz/wok/softether/install/usr/vpnclient/vpnclient '"$@"' >> /home/slitaz/wok/softether/install/usr/bin/vpnclient
echo 'exit $?' >> /home/slitaz/wok/softether/install/usr/bin/vpnbridge
echo 'exit $?' >> /home/slitaz/wok/softether/install/usr/bin/vpncmd
chmod 755 /home/slitaz/wok/softether/install/usr/bin/vpnserver
echo 'exit $?' >> /home/slitaz/wok/softether/install/usr/bin/vpnclient
chmod 755 /home/slitaz/wok/softether/install/usr/bin/vpnbridge
chmod 755 /home/slitaz/wok/softether/install/usr/bin/vpncmd
chmod 755 /home/slitaz/wok/softether/install/usr/bin/vpnclient

--------------------------------------------------------------------
Installation completed successfully.

Execute 'vpnserver start' to run the SoftEther VPN Server background service.
Execute 'vpnbridge start' to run the SoftEther VPN Bridge background service.
Execute 'vpnclient start' to run the SoftEther VPN Client background service.
Execute 'vpncmd' to run SoftEther VPN Command-Line Utility to configure VPN Server, VPN Bridge or VPN Client.
--------------------------------------------------------------------

================================================================================

================================================================================


Build dependencies to remove: 3
Removing: libcrypto-dev openssl-dev readline-dev


Pack: softether v4.09-9451-beta
================================================================================
Executing: genpkg_rules
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 0.05s. Size: 186 B -> 186 B. Save: 0 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
================================================================================
Package "softether-v4.09-9451-beta.tazpkg" created

The release checksum has changed.

Summary for: softether v4.09-9451-beta
================================================================================
Src file    : softether-src-v4.09-9451-beta.tar.gz
Src size    : 18.6M
Source dir  : 99.0M
Produced    : 14.2M
Cook time   : 31s ~ 1m
Cook date   : 2017-10-22 17:48
Host arch   : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :   14.2M :       2.3M :    12 : softether-v4.09-9451-beta.tazpkg
================================================================================
